LDAPD(8C)

NAME
ldapd - LDAP X.500 Protocol Daemon

SYNOPSIS
LIBEXECDIR/ldapd [-d level] [-l] [-c dsaname] [-p port] [-t timeout] [-r referraltimeout] [-I] [-U]

DESCRIPTION

Ldapd is the LDAP to X.500 gateway daemon. The LDAP protocol is used to provide lightweight TCP/IP access to the X.500 Directory. The ldapd server is typically invoked at boot time, usually out of /etc/rc.local. Upon startup, ldapd normally forks and disassociates itself from the invoking tty, and then listens on port 389 for TCP connections from LDAP clients. The server performs the following basic operations for the client:

Bind
    Bind to the X.500 directory. Currently only simple (clear-text password) and kerberos version 4 authentication are supported.

Search
    Search the X.500 directory for entries that match a given filter. The scope of the search can be base object, one level, or whole subtree. Note that the X.500 read and list can be emulated using search.

Modify
    Change the attributes and values of an existing X.500 entry.

Modify RDN
    Change the Relative Distinguished Name of an X.500 entry.

Add Add an entry to the X.500 directory.

Remove
    Remove an entry from the X.500 directory.

Abandon
    Abort an operation in progress.

See ldap(3) for details on client-side access to the ldap server. See RFC 1777: Lightweight Directory Access Protocol and RFC 1778: The String Representation of Standard Attribute Syntaxes for details of the protocol supporting the above operations.

OPTIONS

-d level
    Turn on debugging as defined by level. If this option is specified, ldapd will not fork or disassociate from the invoking terminal. Some general operation and status messages are printed for any value of level. level is taken as a bit string, with each bit corresponding to a different kind of debugging information. See <ldap.h> for details.

-l  Enable logging of various status and errors to the LOG_LOCAL4 facility via syslog(8).

-c dsaname
    Connect to the named DSA initially. The dsaname given should be a name found in the local dsaptailor file or an actual presentation address.

-p port
    Listen on port port instead of the default port. This is useful for debugging purposes.

-t timeout
    Specify the timeout value after which idle connections from clients are closed.

-r referraltimeout
    Specify the timeout value after which idle connections to DSAs are closed.

-I  Run from inetd(8) instead of as a stand-alone daemon.

-U  Support Connectionless LDAP (CLDAP). In this mode, ldapd listens for CLDAP search requests only on a UDP port, performs the search, and returns the result. See udp(4) for more information on UDP.

EXAMPLES
To start ldapd and have it fork and detach from the terminal and connect to the first DSA listed in the dsaptailor file, just type:

	LIBEXECDIR/ldapd

To connect to an alternate DSA and turn on voluminous debugging which will be printed on standard error, type:

	LIBEXECDIR/ldapd -c dsanameoraddr -d 31

where dsanameoraddr is a presentation address or a name that appears in the local dsaptailor file.

SEE ALSO
ldap(3), udp(4), slapd(8) inetd(8)

Volume 5 of The ISODE Manual

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.